ghcide-2.4.0.0: The core of an IDE

Safe Haskell | Safe-Inferred
Language | Haskell2010

Development.IDE.Core.Preprocessor

Synopsis

- preprocessor :: HscEnv -> FilePath -> Maybe StringBuffer -> ExceptT [FileDiagnostic] IO (StringBuffer, [String], HscEnv, Fingerprint)

# Documentation

preprocessor :: HscEnv -> FilePath -> Maybe StringBuffer -> ExceptT [FileDiagnostic] IO (StringBuffer, [String], HscEnv, Fingerprint) #

Given a file and some contents, apply any necessary preprocessors, e.g. unlit/cpp. Return the resulting buffer and the DynFlags it implies.